<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@drawable/shape_dialog_bg"
    android:orientation="vertical">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/dp_15"
            android:layout_marginBottom="@dimen/dp_15"
            android:text="新增類別"
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/dp_16"
            android:textStyle="bold" />

        <ImageView
            android:id="@+id/iv_create_category_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right|center_vertical"
            android:layout_marginRight="@dimen/dp_10"
            android:src="@drawable/icon_popup_close_dark" />
    </FrameLayout>

    <include layout="@layout/include_horizontal_color_eee_dividing_line" />


    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/dp_15"
        android:paddingBottom="@dimen/dp_15">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/new_category_dialog_marginLeft"
            android:text="父級名稱(不可更改)"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/dp_14" />

        <TextView
            android:id="@+id/tv_parent_category_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="@dimen/new_category_dialog_marginLeft"
            tools:text="一級分類"
            android:textColor="@color/color_c9"
            android:textSize="@dimen/dp_14" />
    </FrameLayout>

    <include layout="@layout/include_horizontal_color_eee_dividing_line" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/dp_15"
        android:paddingBottom="@dimen/dp_15">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/new_category_dialog_marginLeft"
            android:text="種類名稱"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/dp_14" />

        <EditText
            android:id="@+id/ed_new_category_name"
            style="@style/Multi_Input_editStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:maxLength="4"
            android:layout_marginRight="@dimen/new_category_dialog_marginLeft"
            android:background="@null"
            android:hint="請輸入分類名稱"
            android:textColor="@color/color_3c"
            android:textColorHint="@color/color_c9"
            android:textSize="@dimen/dp_16" />
    </FrameLayout>

    <include layout="@layout/include_horizontal_color_eee_dividing_line" />

    <com.qmuiteam.qmui.alpha.QMUIAlphaButton
        android:id="@+id/btn_create_category"
        style="@style/Save_Btn_Style"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginTop="@dimen/dp_40"
        android:layout_marginRight="@dimen/dp_15"
        android:layout_marginBottom="@dimen/dp_40"
        android:text="確定" />
</LinearLayout>